Page MenuHomePhabricator

A15. Flow rendering doesn't render external links correctly
Closed, ResolvedPublic1 Story Points

Description

As visible at https://www.mediawiki.org/wiki/Topic:Sdoatsbslsafx6lw , Flow shows all links as if they were internal links:

  • external links have no icon, no classes and no nofollow,
  • interwiki wikilinks don't have their class="extiw" either and hence are blue rather than light blue.

This can cause unwanted dofollow links (links without nofollow) against our policies (see T54617: Respect $wgNoFollowLinks and $wgNoFollowDomainExceptions and T68289: A16. Flow: external links should have rel="nofollow" property), as well as a style inconsistency for interwiki links.

Examples:

<a rel="mw:ExtLink" href="https://phabricator.wikimedia.org/T90788" title="phab:T90788" data-parsoid='{"stx":"simple","a":{"href":"https://phabricator.wikimedia.org/T90788"},"sa":{"href":"phab:T90788"},"isIW":true,"dsr":[835,850,2,2]}'>phab:T90788</a>

<a rel="mw:ExtLink" href="http://flow-tests.wmflabs.org/wiki/Testwiki:Support_desk" data-parsoid='{"stx":"url","dsr":[919,975,0,0]}'>http://flow-tests.wmflabs.org/wiki/Testwiki:Support_desk</a>

Note, when we convert to RESTBase (T94574: Switch Flow from ExternalStore to RESTBase) there will probably have to be (and if not, could be) a one-time reconversion of all our Parsoid HTML. Also, at that point, there may be a standard process for updating HTML should the Parsoid rendering change for things like this.

Details

Related Gerrit Patches:

Event Timeline

Nemo_bis created this task.Apr 22 2015, 2:35 PM
Nemo_bis raised the priority of this task from to High.
Nemo_bis updated the task description. (Show Details)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 22 2015, 2:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Nemo_bis updated the task description. (Show Details)Apr 22 2015, 2:50 PM
Nemo_bis set Security to None.
DannyH edited a custom field.Apr 22 2015, 7:05 PM
DannyH moved this task from Untriaged to Current workboard on the Collaboration-Team-Triage board.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 22 2015, 7:07 PM
Mattflaschen-WMF renamed this task from Flow treats all links as internal links to Flow rendering doesn't distinguish between various kinds of links (except red links).Apr 22 2015, 7:13 PM
Mattflaschen-WMF updated the task description. (Show Details)
DannyH renamed this task from Flow rendering doesn't distinguish between various kinds of links (except red links) to A15. Flow rendering doesn't distinguish between various kinds of links (except red links).Apr 22 2015, 8:05 PM
DannyH moved this task from Current workboard to Untriaged on the Collaboration-Team-Triage board.

Example topic with the 3 types of links in a row: https://www.mediawiki.org/wiki/Topic:Sfahbr9qadl6yw3k
Screenshot:


Enwiki style explanation: https://en.wikipedia.org/wiki/Help:Link_color (Does this exist anywhere on mediawiki? I couldn't see it after a brief hunt...)

Catrope claimed this task.Apr 23 2015, 9:03 PM

Change 206344 had a related patch set uploaded (by Catrope):
Fix up a[rel=mw:ExtLink] to have class="external" and rel="nofollow"

https://gerrit.wikimedia.org/r/206344

Change 206344 merged by jenkins-bot:
Fix up a[rel=mw:ExtLink] to have class="external" and rel="nofollow"

https://gerrit.wikimedia.org/r/206344

external links have no icon, no classes and no nofollow,

External inks display the icon in betalabs.

interwiki wikilinks don't have their class="extiw" either and hence are blue rather than light blue.

Still waiting.

Catrope renamed this task from A15. Flow rendering doesn't distinguish between various kinds of links (except red links) to A15. Flow rendering doesn't render external links correctly.Apr 29 2015, 5:58 PM

interwiki wikilinks don't have their class="extiw" either and hence are blue rather than light blue.

Still waiting.

I've split that out to T97552: Flow renders interwiki links as external links

DannyH closed this task as Resolved.May 4 2015, 10:51 PM
DannyH added a subscriber: DannyH.